VST 3 Interfaces: IEditControllerHostEditing Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IEditControllerHostEditing Class Referenceabstract

Parameter Editing from host: Vst::IEditControllerHostEditing. More...

`#include <ivsteditcontroller.h>`

Inheritance diagram for IEditControllerHostEditing:

## Public Member Functions
virtual tresult | beginEditFromHost (ParamID paramID)=0
| Called before a setParamNormalized sequence, a endEditFromHost will be call at the end of the editing action.
virtual tresult | endEditFromHost (ParamID paramID)=0
| Called after a beginEditFromHost and a sequence of setParamNormalized.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Parameter Editing from host: Vst::IEditControllerHostEditing.

- [plug imp]
- [extends IEditController]
- [released: 3.5.0]
- [optional]

If this interface is implemented by the edit controller, and when performing edits from outside the plug-in (host / remote) of a not automatable and not read-only, and not hidden flagged parameter (kind of helper parameter), the host will start with a beginEditFromHost before calling setParamNormalized and end with an endEditFromHost. Here the sequence that the host will call:

# Example

//------------------------------------------------------------------------
plugEditController->beginEditFromHost (id);
plugEditController->setParamNormalized (id, value);
plugEditController->setParamNormalized (id, value + 0.1);
// ...
plugEditController->endEditFromHost (id);

See Also
  IEditController

## Member Function Documentation

virtual tresult beginEditFromHost | ( | ParamID | paramID | ) |
| pure virtual

Called before a setParamNormalized sequence, a endEditFromHost will be call at the end of the editing action.

virtual tresult endEditFromHost | ( | ParamID | paramID | ) |
| pure virtual

Called after a beginEditFromHost and a sequence of setParamNormalized.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.